MENYOKI.CONF(5)

NAME
menyoki.conf - menyoki configuration file

SYNOPSIS
$MENYOKI_CONFIG, $HOME/.config/menyoki.conf, $HOME/.config/menyoki/menyoki.conf, $HOME/.config/menyoki/config

DESCRIPTION

It’s possible to override the default command line arguments with a configuration file. It can be specified via --config option or $MENYOKI_CONFIG environment variable. Also, it can be placed to a location where menyoki looks for as default.

GENERAL
Options that belong to the [general] section.

verbose
    Increase logging verbosity

quiet
    Do not show output

color <HEX>
    Set the main color [default: 3AA431]

RECORD
Options that belong to the [record] section.

root
    Record the root window

focus
    Record the focused window

select
    Select the window to record

parent
    Record the parent of the window

with-alpha
    Record with the alpha channel

no-keys
    Disable the action keys while recording

mouse
    Select the window with mouse click

action-keys <KEYS>
    Set the action keys [default: LAlt-S,LAlt-Enter]

cancel-keys <KEYS>
    Set the cancel keys [default: LControl-D,Escape]

border <BORDER>
    Set the border width [default: 1]

padding <T:R:B:L>
    Set the record area padding

size <WxH>
    Set the record area size

duration <S>
    Set the duration for recording [default: ∞]

countdown <S>
    Set the countdown before recording [default: 3]

timeout <S>
    Set the timeout for window selection [default: 300]

interval <MS>
    Set the refresh interval for window selection [default: 10]

font <FONT>
    Set the font to use for window selection

monitor <NUM>
    Set the monitor to record as root window

command
    Set the command to run

SPLIT
Options that belong to the [split] section.

dir <DIRECTORY>
    Set the output directory

file
    Set the animation file

MAKE
Options that belong to the [make] section.

no-sort
    Use frames in the order given

fps <FPS>
    Set the FPS [default: 20]

quality <QUALITY>
    Set the frame quality (1-100) [default: 75]

repeat <REPEAT>
    Set the number of repetitions [default: ∞]

dir <DIRECTORY>
    Set the directory to read frames

format <FORMAT>
    Set the animation format [default: gif] [possible values: gif, apng]

CAPTURE
Options that belong to the [capture] section.

root
    Capture the root window

focus
    Capture the focused window

select
    Select the window to capture

parent
    Capture the parent of the window

with-alpha
    Capture with the alpha channel

mouse
    Select the window with mouse click

action-keys <KEYS>
    Set the action keys [default: LAlt-S,LAlt-Enter]

cancel-keys <KEYS>
    Set the cancel keys [default: LControl-D,Escape]

border <BORDER>
    Set the border width [default: 1]

padding <T:R:B:L>
    Set the capture area padding

size <WxH>
    Set the capture area size

countdown <S>
    Set the countdown before capturing [default: 0]

timeout <S>
    Set the timeout for window selection [default: 300]

interval <MS>
    Set the refresh interval for window selection [default: 10]

font <FONT>
    Set the font to use for window selection

monitor <NUM>
    Set the monitor to capture as root window

command
    Set the command to run

EDIT
Options that belong to the [edit] section.

convert
    Convert image using the given encoder

grayscale
    Convert image to grayscale

invert
    Invert the colors of the image

crop <T:R:B:L>
    Apply padding to crop the image

resize <WxH>
    Resize the image without keeping the aspect ratio

ratio <RATIO>
    Resize the image proportionally by aspect ratio [default: 1.0]

rotate <ROTATE>
    Rotate the image (clockwise) [possible values: 90, 180, 270]

flip <FLIP>
    Flip the image [possible values: horizontal, vertical]

blur <SIGMA>
    Blur the image [default: 0.0]

hue <HUE>
    Adjust the hue of the image [default: ±0]

contrast <CONTRAST>
    Adjust the contrast of the image [default: ±0.0]

brightness <BRIGHTNESS>
    Adjust the brightness of the image [default: ±0]

filter <FILTER>
    Set the sampling filter for scaling [default: lanczos3] [possible values: nearest, triangle, catmull-rom, gaussian, lanczos3]

file
    Set the input file

ANALYZE
Options that belong to the [analyze] section.

timestamp
    Use Unix timestamp for report dates

time-zone <TIMEZONE>
    Set the time zone of the report [default: utc] [possible values: utc, local]

file
    Set the image file

VIEW
Options that belong to the [view] section.

transparent
    Display transparent image with transparent background

file
    Set the image file

SAVE
Options that belong to the [save] section.

with-extension
    Always save the file with an extension

timestamp
    Add Unix timestamp to the file name

date <FORMAT>
    Add formatted date/time to the file name [default: %Y%m%dT%H%M%S]

file
    Set the output file

GIF
Options that belong to the [gif] section.

gifski
    Use the gifski encoder

fast
    Encode 3 times faster (gifski)

fps <FPS>
    Set the FPS [default: 20]

quality <QUALITY>
    Set the frame quality (1-100) [default: 75]

repeat <REPEAT>
    Set the number of repetitions [default: ∞]

speed <SPEED>
    Set the animation speed [default: 1.0]

cut-beginning <S>
    Cut the beginning of the animation [default: 0.0]

cut-end <S>
    Cut the end of the anim [default: 0.0]

APNG
Options that belong to the [apng] section.

fps <FPS>
    Set the FPS [default: 20]

repeat <REPEAT>
    Set the number of repetitions [default: ∞]

speed <SPEED>
    Set the animation speed [default: 1.0]

cut-beginning <S>
    Cut the beginning of the animation [default: 0.0]

cut-end <S>
    Cut the end of the anim [default: 0.0]

PNG
Options that belong to the [png] section.

compression <COMPRESSION>
    Set the compression level [default: fast] [possible values: default, fast, best]

filter <FILTER>
    Set the filter algorithm [default: sub] [possible values: none, sub, up, avg, paeth]

JPG
Options that belong to the [jpg] section.

quality <QUALITY>
    Set the image quality (1-100) [default: 90]

WEBP
Options that belong to the [webp] section.

quality <QUALITY>
    Set the lossy encoding quality (1-100) [default: 80]

lossless
    Use lossless encoding

PNM
Options that belong to the [pnm] section.

format <FORMAT>
    Set the PNM format [default: pixmap] [possible values: bitmap, graymap, pixmap, arbitrary]

encoding <ENCODING>
    Set the encoding for storing the samples [default: binary] [possible values: binary, ascii]

ENVIRONMENT

Corresponding environment variables can be set for overriding the command line flags and options. The general prototype of the variables that menyoki checks are the following:

MENYOKI_{SECTION}_{ARGUMENT}=value

  Examples

Command | Environment Variables
menyoki --quiet | MENYOKI_GENERAL_QUIET=true
menyoki record gif --fps 10 save --timestamp | MENYOKI_GIF_FPS=10 MENYOKI_SAVE_TIMESTAMP=true
menyoki capture --size 200x300 jpg --quality 100 | MENYOKI_CAPTURE_SIZE=200x300 MENYOKI_JPG_QUALITY=100
menyoki edit test.png --ratio 2.0 --filter triangle | MENYOKI_EDIT_RATIO=2.0 MENYOKI_EDIT_FILTER=triangle
menyoki split test.gif --dir frames/ pnm --format graymap | MENYOKI_SPLIT_DIR=frames/ MENYOKI_PNM_FORMAT=graymap
menyoki analyze test.png --timestamp save --date %H%M%S | MENYOKI_ANALYZE_TIMESTAMP=true MENYOKI_SAVE_DATE=%H%M%S
menyoki view test.png --transparent | MENYOKI_VIEW_TRANSPARENT=true

AUTHOR
Written by Orhun Parmaksız <orhunparmaksiz@gmail.com>

REPORTING BUGS
Contact the author via email or use GitHub Issues for reporting bugs: <https://github.com/orhun/menyoki/issues/>

COPYRIGHT
Copyright © 2020-2023 Orhun Parmaksız
    Licensed under GPLv3: <https://gnu.org/licenses/gpl.html>

SEE ALSO
menyoki(1) See the project homepage at <https://github.com/orhun/menyoki> for full documentation.